function [ data ] = Pol2CartD( Hyp, theta)
%UNTITLED Summary of this function goes here
%   Converts polar co-ordinate data to cartesian, opposite of Cart2pol
% for more info see Kendall's A course in the geometry on n dimensions
[n, p] = size(theta); %get size of polar data
rct = zeros(n,p+1);
p = p+1; %one more dimension for cartesian than polar co-ordinates
data = zeros(n, p); %set up Cartesian data
cosTh = cumprod(cosd(theta),2); %cos theta in degrees
rct(:,1) = Hyp;
rct(:,2:p) = cosTh .*repmat(Hyp, 1, p-1); %hypotenuse times cos theta
SinTheta = sind(theta);
data(:,1:p-1) = SinTheta .* rct(:,1:p-1);
data(:,p) = rct(:,p);
data = fliplr(data);
end


