function [ syntheticData ] = generateSyntheticDataFromCholcovEuclidean( referenceData, numberOfPixels, T)
%generateSyntheticDataFromCholcovEuclidean Generates synthetic dataset by statistical modelling of the input reference data with Cholesky factor already determined

%   referenceData is an input matrix of the reference data to be modelled
%   numberOfPixels is a vector of number of pixels to be generated for each of the regions
%   T is the Cholesky factor provided by generateSyntheticDataCosine

%% Convert data to polar co-ordinates and get means and varainces
    meanSpectra = mean(referenceData);    %determine mean spectra

%% Setup synthetic data from real data
    syntheticData = randn(numberOfPixels, size(T,1)) * T + repmat(meanSpectra, numberOfPixels, 1); %set up multivariate normal data with mean and covariance of the real data
    syntheticData = abs(syntheticData);
end

